#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Library libgpg-error
Summary(pl.UTF-8):	Biblioteka libgpg-error
Name:		libgpg-error
Version:	1.53
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://www.gnupg.org/ftp/gcrypt/libgpg-error/%{name}-%{version}.tar.bz2
# Source0-md5:	988e992e2cc0e1ba71c36ffa37edb2e6
Patch0:		%{name}-info.patch
URL:		https://www.gnupg.org/related_software/libgpg-error/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.14
BuildRequires:	gettext-tools >= 0.19.3
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgpg-error is a library that defines common error values for all
GnuPG components. Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

%description -l pl.UTF-8
libgpg-error jest biblioteką definiującą wartości błędów wspólne dla
komponentów GnuPG. Są wśród nich GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon i inne - w przyszłości.

%package devel
Summary:	Header files for libgpg-error
Summary(pl.UTF-8):	Pliki nagłówkowe dla libgpg-error
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
libgpg-error is a library that defines common error values for all
GnuPG components. Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

This package contains the header files needed to develop programs that
use these libgpg-error.

%description devel -l pl.UTF-8
libgpg-error jest biblioteką definiującą wartości błędów wspólne dla
komponentów GnuPG. Są wśród nich GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon i inne - w przyszłości.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libgpg-error.

%package static
Summary:	Static version of libgpg-error library
Summary(pl.UTF-8):	Statyczna wersja biblioteki libgpg-error
Group:		Development/Libraries
Requires:	%{name}-devel%{?_isa} = %{version}-%{release}

%description static
libgpg-error is a library that defines common error values for all
GnuPG components. Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

This package contains the static libgpg-error libraries.

%description static -l pl.UTF-8
libgpg-error jest biblioteką definiującą wartości błędów wspólne dla
komponentów GnuPG. Są wśród nich GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon i inne - w przyszłości.

Pakiet zawiera statyczne biblioteki libgpg-error.

%package -n common-lisp-gpg-error
Summary:	Common Lisp binding for libgpg-error library
Summary(pl.UTF-8):	Wiązania Common Lispa do biblioteki libgpg-error
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	common-lisp-controller

%description -n common-lisp-gpg-error
Common Lisp binding for libgpg-error library.

%description -n common-lisp-gpg-error -l pl.UTF-8
Wiązania Common Lispa do biblioteki libgpg-error.

%prep
%setup -q
%patch -P0 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_lib}
%{__mv} $RPM_BUILD_ROOT%{_libdir}/libgpg-error.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libgpg-error.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libgpg-error.so

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_bindir}/gpg-error
%attr(755,root,root) /%{_lib}/libgpg-error.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libgpg-error.so.0
%{_datadir}/libgpg-error

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gpgrt-config
%attr(755,root,root) %{_bindir}/yat2m
%attr(755,root,root) %{_libdir}/libgpg-error.so
%{_libdir}/libgpg-error.la
%{_includedir}/gpg-error.h
%{_includedir}/gpgrt.h
%{_aclocaldir}/gpg-error.m4
%{_aclocaldir}/gpgrt.m4
%{_infodir}/gpgrt.info*
%{_pkgconfigdir}/gpg-error.pc
%{_datadir}/man/man1/gpgrt-config.1*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgpg-error.a
%endif

%files -n common-lisp-gpg-error
%defattr(644,root,root,755)
%{_datadir}/common-lisp/source/gpg-error
%changelog
* Sun Apr 13 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgpg-error.git;a=log;h=master

* Sun Apr 13 2025 Jan Palus <atler@pld-linux.org> 1bd7891
- require %{_isa} variants of runtime deps; rel 2

* Wed Apr 09 2025 Jan Palus <atler@pld-linux.org> 8b8097a
- up to 1.53

* Wed Apr 09 2025 Jan Palus <atler@pld-linux.org> fa3582c
- use %patch -P

* Mon Nov 11 2024 Jan Palus <atler@pld-linux.org> 5e67c7e
- up to 1.51

* Tue Aug 27 2024 Jakub Bogusz <qboosh@pld-linux.org> e33333d
- updated Source0 URL

* Sun Jun 23 2024 Jakub Bogusz <qboosh@pld-linux.org> b6b8cf5
- updated to 1.50

* Thu Apr 25 2024 Jan Palus <atler@pld-linux.org> a31f5ef
- up to 1.49

* Sun Feb 25 2024 Jakub Bogusz <qboosh@pld-linux.org> e2a2909
- updated to 1.48

* Fri Apr 07 2023 Jakub Bogusz <qboosh@pld-linux.org> 893fac6
- added pl.po-update patch

* Fri Apr 07 2023 Jan Palus <atler@pld-linux.org> 076e705
- up to 1.47

* Fri Oct 07 2022 Jakub Bogusz <qboosh@pld-linux.org> 2fc4353
- fixed typo in info patch

* Fri Oct 07 2022 Jan Palus <atler@pld-linux.org> fdcb7b3
- up to 1.46

* Thu Apr 07 2022 Jan Palus <atler@pld-linux.org> a5b7386
- up to 1.45

* Thu Jan 27 2022 Jan Palus <atler@pld-linux.org> d109554
- up to 1.44

* Thu Nov 04 2021 Jan Palus <atler@pld-linux.org> 110c52a
- up to 1.43

* Mon Mar 22 2021 Jan Palus <atler@pld-linux.org> 363cf17
- up to 1.42

* Mon Dec 21 2020 Jakub Bogusz <qboosh@pld-linux.org> 9db852b
- updated to 1.41
- removed obsolete pl.po-update patch

* Thu Aug 27 2020 Jan Palus <atler@pld-linux.org> 2c0733a
- up to 1.39

* Sat Jun 20 2020 Jakub Bogusz <qboosh@pld-linux.org> 5906bf2
- updated pl.po-update patch

* Thu Jun 04 2020 Jan Palus <atler@pld-linux.org> 3d1bc0c
- up to 1.38

